Session

com.j0h1.contour.admin.shared.domain

## Class Session

- java.lang.Object
- - com.j0h1.contour.admin.shared.domain.Session

- All Implemented Interfaces:
    java.io.Serializable

      public class Session
      extends java.lang.Object
      implements java.io.Serializable

  Session object representation that encapsulates data to define a session.
  Author:
    Johannes Riedmann
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private long` | `date`
    `private Player` | `player`
    `private float` | `score`
    `private static long` | `serialVersionUID`
    `private int` | `sessionId`
    `private Track` | `track`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Session()`
    `Session(int sessionId, Player player, Track track, float score, long date)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addToScore(float value)`
    `long` | `getDate()`
    `Player` | `getPlayer()`
    `float` | `getScore()`
    `int` | `getSessionId()`
    `Track` | `getTrack()`
    `void` | `setDate(long date)`
    `void` | `setPlayer(Player player)`
    `void` | `setSessionId(int sessionId)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### sessionId

          private int sessionId

    - #### player

          private Player player

    - #### track

          private Track track

    - #### score

          private float score

    - #### date

          private long date

  - ### Constructor Detail

    - #### Session

          public Session()

    - #### Session

          public Session(int sessionId,
                         Player player,
                         Track track,
                         float score,
                         long date)

  - ### Method Detail

    - #### getTrack

          public Track getTrack()

    - #### addToScore

          public void addToScore(float value)

    - #### getScore

          public float getScore()

    - #### getSessionId

          public int getSessionId()

    - #### setSessionId

          public void setSessionId(int sessionId)

    - #### getPlayer

          public Player getPlayer()

    - #### setPlayer

          public void setPlayer(Player player)

    - #### getDate

          public long getDate()

    - #### setDate

          public void setDate(long date)